Sidef::Perl::Perl(3)

NAME
Sidef::Perl::Perl

DESCRIPTION
This class implements support for evaluating arbitrary Perl code inside a Sidef script.

The result is implicitly converted into a Sidef data structure.

SYNOPSIS
    var r = Perl.eval('my $x = 42; sqrt($x)')

METHODS

  eval
    Perl.eval(perl_code)

Evaluates the given Perl code and returns a Sidef data structure.

  new
    var obj = Perl.new

Builds and returns a new Perl object.

  to_sidef
    Perl.to_sidef(perl_structure)

Converts a given a Perl data structure into a Sidef data structure.